package collector_go

import (
	s "loafle.com/overflow/collector_go/scheduler"
	"log"
	"testing"
	"time"
)

func TestCollector(t *testing.T) {
	sc := s.Scheduler{}
	sc.Init()

	for i := 0; i < 9999; i++ {
		sc.NewSchedule(string(i), "5", test)
	}
	sc.NewSchedule("#######################", "5", test)
	time.Sleep(time.Second * 10)

	sc.NewSchedule("#######################", "1", test)
	time.Sleep(time.Second * 100)
}

func test(id string) {
	if id == "#######################" {
		log.Println(id)
	}
}
